> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a notification subscription

> Subscribe to receiving notifications at a given endpoint. The endpoint should be able to handle AWS SNS subscription requests. For more details see https://docs.aws.amazon.com/mobile/sdkforxamarin/developerguide/sns-send-http.html. Note, the sandbox environment allows a maximum of 3 active subscriptions; otherwise, this is limited to 1 active subscription and subsequent create requests will be rejected with a Limit Exceeded error.




## OpenAPI

````yaml openapi/general.yaml post /v1/notifications/subscriptions
openapi: 3.0.2
info:
  version: ${version}
  title: API Overview
  description: Common endpoints shared across all Circle APIs.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Health
    description: Inspect the health of the API.
  - name: Management
    description: General account and management information.
  - name: Subscriptions
    description: Manage subscriptions to notifications.
  - name: Stablecoins
    description: >-
      Retrieve stablecoins and their respective names, symbols, circulating
      total and per-chain amounts.
paths:
  /v1/notifications/subscriptions:
    post:
      tags:
        - Subscriptions
      summary: Create a notification subscription
      description: >
        Subscribe to receiving notifications at a given endpoint. The endpoint
        should be able to handle AWS SNS subscription requests. For more details
        see
        https://docs.aws.amazon.com/mobile/sdkforxamarin/developerguide/sns-send-http.html.
        Note, the sandbox environment allows a maximum of 3 active
        subscriptions; otherwise, this is limited to 1 active subscription and
        subsequent create requests will be rejected with a Limit Exceeded error.
      operationId: createSubscription
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionRequest'
      responses:
        '200':
          description: Successfully created a notification subscription.
          content:
            application/json:
              schema:
                title: CreateSubscriptionResponse
                properties:
                  data:
                    $ref: '#/components/schemas/SubscriptionResponse'
              examples:
                response:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      endpoint: https://example.org/handler/for/notifications
                      subscriptionDetails:
                        - url: >-
                            arn:aws:sns:us-east-1:<...>:fcb4a2c9-9c4f-4706-b312-6b22650f5d17
                          status: confirmed
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '429':
          $ref: '#/components/responses/LimitExceeded'
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionRequest:
      type: object
      required:
        - endpoint
      properties:
        endpoint:
          type: string
          description: >-
            URL of the subscriber endpoint. Must be publicly accessible and
            utilize HTTPS.
          example: https://example.org/handler/for/notifications
    SubscriptionResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        endpoint:
          type: string
          description: URL of the endpoint.
          example: https://example.org/handler/for/notifications
        subscriptionDetails:
          type: array
          description: List of subscriptions details for created subscriptions.
          items:
            $ref: '#/components/schemas/SubscriptionDetail'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    SubscriptionDetail:
      type: object
      properties:
        url:
          type: string
          description: Identifier for created subscription.
          example: arn:aws:sns:us-east-1:<...>:fcb4a2c9-9c4f-4706-b312-6b22650f5d17
        status:
          type: string
          description: Status of the subscription request.
          enum:
            - confirmed
            - pending
            - deleted
  responses:
    BadRequest:
      description: The request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: BadRequest
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 400
              message: Bad request.
          examples:
            response:
              value:
                code: 400
                message: Bad request.
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    LimitExceeded:
      description: Limit exceeded. See error message for more details.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: LimitExceeded
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 429
              message: Too many requests.
          examples:
            response:
              value:
                code: 429
                message: Too many requests.
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````